POST /api/v3/objects/{lcuid}/tags/add/{tag_lcuid}¶
Summary¶
POST /objects/{lcuid}/tags/add/{tag_lcuid}
Description¶
Add a tag to this object
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttags(array): An array of tags-
Array items:
objectType:objectProperties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)parent(object) Type:object
Properties:
name(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)primary_image_background_removed_public_url(string)
-
lcuid(string) slug(string)website(string)description(string)created_at(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"id": "LCUID-LI-4db09129-b0bd-40aa-a550-2c9ec1dd0410",
"class": "App\\InventoryItem",
"tags": [
{
"name": "test1",
"description": "",
"created_at": "2026-01-07T00:15:39.000000Z",
"updated_at": "2026-01-07T00:15:39.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-0e3a709e-7c78-4e98-93b5-d9f19d4bc6d0",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-ad22a91c-c150-4e15-a263-f374ce6b4d2e",
"slug": "UnitTestAccountP6vll",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:39.000000Z",
"is_parent_account": false
}
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request POST \
--url "https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "POST",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.post(url, headers=headers)
print(response.json())